package edu.wpi.grip.core.settings;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * An annotation for specifying JavaBeans display names and short descriptions.  This is used to provide
 * user-presentable strings for the project settings editor, which is autogenerated by ControlsFX using the JavaBeans
 * API.
 * <p>
 * This is similar to the more general-purpose annotations in JEP 256: http://openjdk.java.net/jeps/256
 *
 * @see ProjectSettingsBeanInfo
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
@interface Setting {
    String label();

    String description();
}
